<?php
/**
 * Eisai template hooks.
 */

/**
 * Global.
 */
add_action( 'wp_head',                          'eisai_no_js_class' );
add_filter( 'body_class',                       'eisai_body_classes' );
add_filter( 'nav_menu_css_class',               'eisai_filter_primary_nav_menu_css_class', 10, 4 );
add_filter( 'nav_menu_item_args',               'eisai_filter_navbar_nav_menu_item_args', 10, 3 );
add_filter( 'nav_menu_link_attributes',         'eisai_filter_social_menu_icons', 10, 3 );
add_filter( 'get_the_archive_title',            'eisai_filter_the_archive_title', 10, 1 );
add_filter( 'comments_popup_link_attributes',   'eisai_filter_comments_popup_link_attributes', 10, 1 );

/**
 * Header.
 */
add_action( 'wp_body_open',                 'eisai_skip_link', 0 );
add_action( 'eisai_navbar_left',            'eisai_primary_navigation_toggle', 5 );
add_action( 'eisai_navbar_left',            'eisai_primary_navigation', 10 );
add_action( 'eisai_navbar_left',            'eisai_navbar_navigation', 15 );
add_action( 'eisai_navbar_center',          'eisai_site_branding', 5 );
add_action( 'eisai_navbar_right',           'eisai_search_toggle', 5 );
add_action( 'eisai_navbar_right',           'eisai_search_modal', 10 );

/**
 * Content.
 */
add_action( 'eisai_site_content_header',    'eisai_archive_header', 5 );
add_action( 'eisai_before_loop',            'eisai_loop_wrapper_start', 10 );
add_action( 'eisai_after_loop',             'eisai_loop_wrapper_end', 5 );

/**
 * Footer.
 */
add_action( 'eisai_before_footer',          'eisai_footer_sidebars', 5 );
add_action( 'eisai_footer_left',            'eisai_copyright', 5 );
add_action( 'eisai_footer_center',          'eisai_footer_social_menu', 5 );
add_action( 'eisai_footer_right',           'eisai_theme_developer', 5 );
